Bug 104656 - CAN-2003-0773-8 sane-backend security issues
CAN-2003-0773-8 sane-backend security issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sane-backends (Show other bugs)
2.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 11:01 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 11:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-09-18 11:01:00 EDT
Sane includes a daemon program (called saned) that enables a single machine
connected to a scanner to be used remotely. This program contains several
vulnerabilities.

NOTE: Although the SANE packages include this program, it is not used by
default under Red Hat Linux.

The IP address of the remote host is only checked after the first
communication occurs, causing saned.conf restrictions to be ineffective for
the first communication. The Common Vulnerabilities and Exposures project
(cve.mitre.org) has assigned the name CAN-2003-0773 to this issue.

A connection that is dropped early causes one of several problems. The
Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned
the names CAN-2003-0774, CAN-2003-0775, and CAN-2003-0777 to these issues.

Lack of error checking can cause various other unfavorable consequences.
The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the names CAN-2003-0776 and CAN-2003-0778 to these issues.

Errata in progress.
Comment 1 Mark J. Cox (Product Security) 2003-09-22 04:56:29 EDT
RHSA-2003:285 in progress
Comment 2 Mark J. Cox (Product Security) 2003-10-07 11:52:48 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-285.html

Note You need to log in before you can comment on or make changes to this bug.